package x.awt;

import java.awt.*;

/**
 *
 * Interface representing a "drawing", that is, anything
 * that can be drawn on screen and has a specific size.
 *
 */
public interface Drawing
{
    public void draw(Graphics g, int x, int y);
    public Dimension getSize();
}