package x.awt;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

// work in progress, not currently used.

public class LensDetail extends BufferPanel implements MouseMotionListener
{
    private Rectangle detailRect;
    private Rectangle sourceRect;
    private double detailX1, detailY1, detailX2, detailY2;
    private LensPanel overview;
    private Point mouse;
    
    public LensDetail()
    {
        addMouseMotionListener(this);
    }
    
    public void setOverview(LensPanel overview)
    {
        this.overview=overview;
    }
    
    public void mouseMoved(MouseEvent m)
    {
        doMouse(m.getX(), m.getY());
    }
    
    public void mouseDragged(MouseEvent m)
    {
        doMouse(m.getX(), m.getY());
    }
    
    public void mouseEntered(MouseEvent m)
    {
        doMouse(m.getX(), m.getY());
    }
    
    public void mouseExited(MouseEvent m)
    {
        doMouse(-1000,0);
    }
    
    private void doMouse(int x, int y)
    {
        mouse=new Point(x,y);
        redraw();
    }
    
    public void setDetailRect(int sx, int sy, int sw, int sh,
                              int dx, int dy, int dw, int dh)
    {
        detailRect=new Rectangle(dx,dy,dw,dh);
        sourceRect=new Rectangle(sx,sy,sw,sh);
        int w=overview.getSize().width;
        int h=overview.getSize().height;
        detailX1=w*(dx-sx)/(double)sw;
        detailY1=h*(dy-sy)/(double)sh;
        detailX2=w*(dx+dw-sx)/(double)sw;
        detailY2=h*(dy+dh-sy)/(double)sh;
    }
    
    int scaleX(int x, int w)
    {
        return (int)(w*(x-detailX1)/(detailX2-detailX1));
    }
    
    int scaleY(int y, int h)
    {
        return (int)(h*(y-detailY1)/(detailY2-detailY1));
    }
    
    
}
