package x.awt.test;

import x.awt.*;
import java.awt.*;
import java.awt.event.*;

/**
 *
 * Creates a simple Frame with a BufferPanel; it works if you
 * see the word "Hello".
 *
 */
public class TestBuffer extends Frame
{
    public static void main(String[] args)
    {
        try
        {
            TestBuffer app=new TestBuffer();
            app.setBounds(100,100,600,400);
            app.addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent e) {System.exit(0);}
            });
            app.init();
            app.setVisible(true);
        }
        catch (Exception e)
        {
            e.printStackTrace(System.err);
        }
    }
    
    void init()
    {
        setLayout(new GridLayout(1,1));
        add(new TestPanel());
    }
    
    class TestPanel extends BufferPanel 
    {
        
        public void drawOffscreen(Graphics g)
        {
            g.drawString("Hello!", 30,30);
        }
    }
}
