package x.awt.test;

import x.awt.*;
import java.awt.*;
import java.awt.event.*;

/**
 *
 * Tests the LongText object by creating a Frame and
 * drawing a large, wrapped piece of text.
 *
 */
public class TestLongText extends Frame
{
    LongText text;
    
    public static void main(String[] args)
    {
        try
        {
            TestLongText app=new TestLongText();
            app.setBounds(100,100,600,400);
            app.addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent e) {System.exit(0);}
            });
            app.init();
            app.setVisible(true);
        }
        catch (Exception e)
        {
            e.printStackTrace(System.err);
        }
    }
    
    void init()
    {
        text=new LongText("Wow, this is a cool class "+
            " for drawing long\n\n\ntext.",
            new Font("Helvetica", Font.BOLD, 36), 300);
    }
    
    public void paint(Graphics g)
    {
        text.draw(g,30,30);
    }
    
}
