package x.cluster.test;

import x.cluster.*;
import x.data.*;

import java.io.*;
import java.util.*;

public class FormatTest
{
    public static void main(String[] args)
    {
        System.err.println("Cluster file test.");
        System.err.println("args[0] is meta file, args[1] is cluster file.");
        try
        {
            
            MetaData m=new MetaData(new File(args[0]));
            DataArray d=new DataArray(m);
            d.readFromFile(true);
            
            ClusterNode c=ClusterFormat.read(args[1], d.getData());
            System.out.println("data rows: "+d.size());
            System.out.println("cluster leaves: "+c.countLeaves());
            /*
            int n=d.getSize();
            float[][] f=new float[n][];
            for (int i=0; i<n; i++)
                f[i]=d.getRow(i).getNumbers();
            HierarchicalClusterAnalysis h=new SingleLinkageCluster(MetricType.Euclidean);
            ClusterNode c=h.makeClusterTree(f);
            //ClusterFormat.write(c, d.getData(), System.out);
            
            
            System.err.println("Reading from file: "+args[1]);
            ClusterNode copy=ClusterFormat.read(args[1], d.getData());
            ClusterFormat.write(copy, d.getData(), System.out);
            */
            
        }
        catch (Exception e)
        {
           e.printStackTrace(System.err);
        }
    }
}