package x.data;

import java.util.*;

public class DataArrayIndex
{
	HashMap index=new HashMap();
	
	public DataArrayIndex(DataArray data)
	{
		int n=data.size();
		for (int i=0; i<n; i++)
		{
			DataRow row=data.getRow(i);
			String id=row.getID();
			if (index.get(id)!=null)
				throw new IllegalArgumentException("Two rows w/ same id: "+id);
			index.put(id, row);
		}
	}
	
	public DataRow row(Object id)
	{
		return (DataRow)index.get(id.toString());
	}
}
