package x.data;

/**
 *
 * Represents a row of data in a DataArray. A row
 * has an array of Strings, called Text, an array of floats,
 * called Numbers, and a String ID.
 *
 */
public class DataRow
{
    private float[] numbers;
    private String[] text;
    private String id;
    
    public DataRow()
    {
    }
    
    public DataRow(String id)
    {
        this.id=id;
    }
    
    public void setID(String id)
    {
        this.id=id;
    }
    
    public String getID()
    {
        return id;
    }
    
    public void setText(String[] text)
    {
        this.text=text;
    }
    
    public void setNumbers(float[] numbers)
    {
        this.numbers=numbers;
    }
    
    public String[] getText()
    {
        return text;
    }
    
    public float[] getNumbers()
    {
        return numbers;
    }
    
    public String toString()
    {
        return id;
    }
}