package x.data.seq.test;

import x.data.seq.*;

public class ReadUTR
{
    public static void main(String[] args)
    {
        if (args.length==1)
            read(args[0]);
        else
            System.out.println("Usage: ReadUTR filename");
    }
    
    static void read(String s)
    {
        try
        {
            Sequence[] seq=FASTA.readFromFile(s);
            AnnotatedSequence[] u=UTR.translate(seq);
            System.out.println("# UTRs read: "+u.length);
            System.out.println("First was: "+u[0]);
            System.out.println("Sequence was: "+u[0].getSequence());
        }
        catch (Exception e)
        {
            e.printStackTrace(System.out);
        }
        
    }
}