package x.data.seq.test;

import x.data.seq.*;

public class TestAverage
{
    public static void main(String[] args)
    {
        AverageSequence a=new AverageSequence();
        add("AAAA", a);
        add("AATT", a);
        add("AATG", a);
        add("ACTT", a);
        System.out.println(" ");
        System.out.println("avg="+a);
        print(a, 'A');
        print(a, 'C');
        print(a, 'G');
        print(a, 'T');
    }
    
    static void print(AverageSequence a, char c)
    {
        byte b=DNA.byteFor(c);
        float[] d=a.data(b);
        System.out.print(c+":");
        for (int i=0; i<d.length; i++)
            System.out.print("  "+d[i]);
        System.out.println(" ");
    }
    
    static void add(String s, AverageSequence a)
    {
        System.out.println("adding: "+s);
        a.add(new Sequence(s));
    }
}