package x.data.set;

import java.io.*;
import java.util.*;

/*
   files look like this:
   62 2 1
   # disease-free with-disease
   0 0 0 0 0 0 0 [stuff cut for brevity] 1 1 1 1 1 1 1 1 1 1 1
 */
public class OutcomeFormat
{
	public static int[] read(String fileName) throws IOException
	{
		FileReader f=new FileReader(fileName);
		BufferedReader in=new BufferedReader(f);
		String line=in.readLine();
		StringTokenizer t=new StringTokenizer(line);
		int n=Integer.parseInt(t.nextToken());
		int[] result=new int[n];
		in.readLine();
		line=in.readLine();
		t=new StringTokenizer(line);
		if (t.countTokens()!=n)
		{
			System.out.println("YIKES! Expected "+n+", but got: "+t.countTokens());
		}
		else 
		{
			for (int i=0; i<n; i++)
				result[i]=Integer.parseInt(t.nextToken());
		}
		in.close();
		return result;
	}
	public static void main(String[] args)
	{
		try
		{
			int[] outcome=read("c:\\data\\bio\\whitehead\\kenross\\outcome.txt");
			System.out.println(outcome.length);
			for (int i=0; i<outcome.length; i++)
				System.out.print(outcome[i]+" ");
			System.out.println(" ");
		}
		catch (Exception e)
		{
			e.printStackTrace(System.out);
		}
	}
	
}
