package x.data.test;

import x.data.*;
import java.io.*;
import java.text.*;

public class SizeTest
{
    public static void main(String[] args)
    {
        System.out.println("DataArray info.");
        System.out.println("args[0] is meta file.");
        try
        {
            
            File file=new File(args[0]);
            MetaData m=new MetaData(file);
            DataArray d=new DataArray(m);
            d.readFromFile(true);
            float[][] x=d.copyNumbers();
            for (int i=0; i<10; i++)
                printStats(x,i);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        
    }
    
    static void printStats(float[][] x, int i)
    {
        double val=0;
        double avg=0;
        int n=x[i].length;
        for (int j=0; j<n; j++)
        {
            val+=Math.abs(x[i][j]);
            avg+=x[i][j];
        }
        val/=n;
        avg/=n;
        
        System.out.println("col "+i+": avg="+format(avg)+" avg abs val="+format(val));
        
    }
    
    static DecimalFormat df=new DecimalFormat("0.000");
    static String format(double x)
    {
        return df.format(x);
    }
}