package x.feature;

import java.awt.*;
import java.awt.event.*;

public class CorrelationMap extends Frame
{	
	double[] r;
	FeatureArray map;
	
	public static void main(String[] args)
	{
		try
		{
			FeatureArray map=new FeatureArray();
			double[] r=map.findR();
			new CorrelationMap(map, r).launch();
		}
		catch (Exception e)
		{
			e.printStackTrace(System.err);
		}
	}
	
	public void launch()
	{
		setBounds(50,50,700,700);
		setBackground(Color.darkGray);
		setVisible(true);
	}
	
	public void paint(Graphics g)
	{
		int s=5, row=100;
		for (int i=0; i<r.length; i++)
		{
			g.setColor(ArrayColors.correlationScale.color(r[i]));
			int x=20+(i%row)*s;
			int y=30+(i/row)*(s+1);
			g.fillRect(x,y,s,s);
		}
	}
	
	CorrelationMap(FeatureArray map, double[] r)
	{
	
		this.map=map;
		this.r=r;
		setBackground(Color.darkGray);
		setBackground(new Color(230,230,230));
		setFont(new Font("Helvetica", Font.PLAIN, 9));
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {System.exit(0);}
		});
		
	}
}
