package x.path.test;

import x.path.*;

public class InverseTest
{
    public static void main(String[] args)
    {
        //HilbertPath p=new HilbertPath(16,4,4);
        HCurve p=new HCurve(100);
        test(p);
    }
    
    static void test(PathLayout p)
    {
        boolean ok=true;
        for (int i=0; i<p.getLength(); i++)
        {
            int x=p.x(i);
            int y=p.y(i);
            int n=p.order(x,y);
            if (n!=i)
            {
                ok=false;
                System.out.println("bad inverse:");
                System.out.println("  "+i+" --> "+x+","+y+"  --> "+n);
            }
        }
        if (ok)
            System.out.println("Test passed successfully.");
    }
}