package x.util.test;

import x.util.*;

/**
 *
 * Runs unit tests on the EmptyFieldTokenizer class.
 *
 * No arguments needed.
 *
 */
public class EmptyTest
{
    public static void main(String[] args)
    {
        System.out.println("EmptyFieldTokenizerTest.");
        System.out.println("Delimiter is -.");
        System.out.println(" ");
        test("abc");
        test("a.bc");
        test("ab..c");
        test("-abc");
        test("--abc");
        test("");
        test("-.-.");
        test("-a-");
        test("ab-");
    }
    
    static void test(String s)
    {
        FlexibleTokenizer q=new FlexibleTokenizer(s, "-.");
        System.out.println(" ");
        System.out.println("testing ["+s+"]");
        int n=q.countTokens();
        System.out.println("# tokens: "+n);
        int k=0;
        while (q.hasMoreTokens())
        {
            k++;
            System.out.println("["+q.nextToken()+"]");
        }
        System.out.println("found "+k+" tokens.");
        
    }
}