package x.cluster;

/**
 *
 * Represents an edge in a graph. Used in Minimum Spanning Tree
 * calculations.
 *
 */
public class Edge
{
    public int v1, v2;
    public double length;
    
    public Edge(int v1, int v2, double length)
    {
        this.v1=v1;
        this.v2=v2;
        this.length=length;
    }
    
    public String toString()
    {
        return "Edge: "+v1+" to "+v2+", length="+length;
    }
}