package x.cluster;

/**
 *
 * Constants for defining new metric types.
 * We may change this substantially.
 *
 */
public class MetricType
{
    public static final MetricType Euclidean=
        new MetricType("Euclidean");
        
    public static final MetricType PearsonCorrelation=
        new MetricType("Pearson Correlation");

    private String name;
    private MetricType(String name)
    {
        this.name=name;
    }
    
    public String toString()
    {
        return name;
    }
}