package x.data;

/**
 *
 * Represents a field in a DataArray, with a type, and name, and a position.
 *
 */
public class DataField
{
    private int type;
    private int columnNum;
    private String name;
    
    DataField(int type, int columnNum, String name)
    {
        this.type=type;
        this.name=name;
        this.columnNum=columnNum;
    }
    
    public int getType()
    {
        return type;
    }
    
    public int getColumnNum()
    {
        return columnNum;
    }
    
    public String getName()
    {
        return name;
    }
    
    public String toString()
    {
        return "DataField ["+type+", "+columnNum+", "+name+"]";
    }
}