package x.data.seq.test;

public final class AminoAcid
{
    public static final int POLAR=0, NONPOLAR=1, ACID=2, BASE=3;
    
    private String name;
    private int type;
    private int id;
    private String stringAbbreviation;
    private char charAbbreviation;
    
    
    private AminoAcid(int id, String name, int type, String stringAbbreviation, char charAbbreviation)
    {
        this.name=name;
        this.type=type;
        this.stringAbbreviation=stringAbbreviation;
        this.charAbbreviation=charAbbreviation;
    }
    
    public boolean equals(Object o)
    {
        return o==this;
    }
    
    public int hashCode()
    {
        return id;
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getType()
    {
        return type;
    }
    
    public String getStringAbbreviation()
    {
        return stringAbbreviation;
    }
    
    public char getCharAbbreviation()
    {
        return charAbbreviation;
    }
}