package x.data.seq.test;

import x.data.seq.*;

public class SequenceValueTest
{
    public static void main(String[] args)
    {
        String[] s=
        {
            "AAAACCCC",
            "CCCCCCCC",
            "GGGGTTTT"
        };
        
        float[] x=
        {
            -1f, 0f, 1f
        };
        
        int length=3;
        
        SequenceValue v=new SequenceValue(length);
        int n=v.getNumSequences();
        System.out.println("length="+length+".  # seq ="+n);
        int i;
        int actualTotal=0;
        for (i=0; i<x.length; i++)
        {
            Sequence seq=new Sequence(s[i]);
            actualTotal+=seq.length()-length+1;
            v.include(seq, x[i]);
            System.out.println("included: "+seq+", value="+x[i]);
        }
        
        
        int total=0;
        for (i=0; i<n; i++)
        {
            Sequence q=v.makeSequence(i);
            int index=v.indexOf(q);
            if (index!=i)
                System.out.println("inversion not right: "+i+" --> "+q+" --> "+index);
            System.out.println(q+" -> "+v.count[i]+" avg= "+v.average(i));
            total+=v.count[i];
        }
        
        System.out.println("polygram count="+total);
        System.out.println("  actual count="+actualTotal);
        
    }
}