package x.data.set;

import java.io.*;
import java.util.*;

// just does "bad" and "good" sets for now!

public class GeneSetFormat
{
	public static GeneSet[] read(String fileName) throws IOException
	{
		GeneSet bad=new GeneSet("bad");
		GeneSet good=new GeneSet("good");
		
		FileReader f=new FileReader(fileName);
		BufferedReader in=new BufferedReader(f);
		String line=null;
		while (null != (line=in.readLine()))
		{
			StringTokenizer t=new StringTokenizer(line,",");
			if (t.countTokens()!=2)
			{
				System.out.println("Odd line: '"+line+"'");
				continue;
			}
			String id=t.nextToken();
			String setName=t.nextToken();
			boolean both="both".equals(setName);
			if (both || "bad".equals(setName))
				bad.set.add(id);
			if (both || "good".equals(setName))
				good.set.add(id);
		}
		in.close();
		return new GeneSet[] {good, bad};
	}
	
	public static void main(String[] args)
	{
		try
		{
			GeneSet[] gs=read("c:\\data\\bio\\whitehead\\kenross\\testset.mapped");
			for (int i=0; i<gs.length; i++)
				gs[i].dump(System.out);
		}
		catch (Exception e)
		{
			e.printStackTrace(System.out);
		}
	}
}
