package x.data.test;

import x.data.*;
import java.io.*;

public class FileTest
{
    public static void main(String[] args)
    {
        System.out.println("DataArray file reading test.");
        System.out.println("args[0] is meta file.");
        try
        {
            long start=System.currentTimeMillis();
            int i;
            
            File file=new File(args[0]);
            MetaData m=new MetaData(file);
            m.print(System.out);
            
            System.out.println(" ");
            System.out.println(" ");
            DataArray d=new DataArray(m);
            d.readFromFile(true);
            
            System.out.println(" ");
            System.out.println("Time elapsed: "+(System.currentTimeMillis()-start));
            System.out.println(" ");
            System.out.println("Fields: ");
            DataField[] fields=d.getFields();
            for (i=0; i<fields.length; i++)
                System.out.println(fields[i]);
            System.out.println(" ");
            DataRow[] data=d.getData();
            for (i=0; i<5; i++)
                System.out.println(data[i]);
            
        }
        catch (Exception e)
        {
            System.out.println(e);
        }
        
    }
}