package x.message.progress;


public class ProgressMessage
{
    public boolean success, error;
    public double progress;
    public String message;
    public Object source;
    public Object data;

    public ProgressMessage()
    {
        this("no message", 0, false, false, null);
    }

    public ProgressMessage(String message, double progress, Object source)
    {
        this(message, progress, progress>=1, false, source);
    }

    public ProgressMessage(String message, double progress, boolean success, boolean error, Object source)
    {
        this.message=message;
        this.progress=progress;
        this.success=success;
        this.error=error;
        this.source=source;
    }
}