package x.viz.biplot.test;

import x.viz.biplot.*;
import x.util.*;

public class TestSimpleGap
{
    public static void main(String[] args)
    {
        int n=6;
        int i;
        Gap[] g=new Gap[n];
        for (i=0; i<n; i++)
            g[i]=new Gap(rnd(n), rnd(n));
        Sort10.sort(new Gap(),g);
        for (i=0; i<n; i++)
            System.out.println(g[i]);
        
        int sum=Gap.sum(g);
        System.out.println("\nsum="+sum);
        hr("orig. density");
        double[] density=makeDensity(n);
        
        double[] bigger=new double[n+sum];
        int[] map=Gap.spread(density, bigger, g);
        
        hr("new density");
        for (i=0; i<n+sum; i++)
            System.out.println(bigger[i]);
        hr("map");
        for (i=0; i<map.length; i++)
            System.out.println(map[i]+"  old: "+density[i]+" --> "+bigger[map[i]]);
        
        PlotPoint[] points=new PlotPoint[5];
        for (i=0; i<points.length; i++)
            points[i]=new PlotPoint(rnd(n), rnd(n));
            
        //double[] density2=makeDensity(n);
        //BiplotModel m=new BiplotModel
    }
    
    static double[] makeDensity(int n)
    {
        double[] density=new double[n];
        for (int i=0; i<n; i++)
        {
            density[i]=Math.random();
            System.out.println(density[i]);
        }
        return density;
    }
    
    static int rnd(int n)
    {
        return (int)(n*Math.random());
    }
    
    static void hr(String s)
    {
        System.out.println("\n\n-------------"+s);
    }
}